Subject: bug#17504: bug in gzgrep

From: Robert Lawhead <[email-masked]>
Date: Sat, 17 May 2014 07:10:05 -0700

Hello Paul,
    The solaris box is running fully patched 11.1.
The bug is present in Linux zgrep as well.  I can confirm that its present in
RedHat/CentOS 6.2, and ubuntu precice1 which is just a few months old.

    It looks like the version you tested is 1.5.  When was it released and where
can I get it?  Thanks.

06:48:45 rml@ubuntu:rml:276> mkdir zgrep_test
06:48:58 rml@ubuntu:rml:277> cd $_
06:49:03 rml@ubuntu:zgrep_test:278> echo foo>a
06:49:19 rml@ubuntu:zgrep_test:279> echo foo>b
06:49:28 rml@ubuntu:zgrep_test:280> echo bar>c
06:49:33 rml@ubuntu:zgrep_test:281> gzip b
06:49:47 rml@ubuntu:zgrep_test:282> zgrep foo *
a:foo
b.gz:foo
06:49:54 rml@ubuntu:zgrep_test:283> zgrep -h foo *
a:foo
b.gz:foo
06:50:01 rml@ubuntu:zgrep_test:284> uname -a
Linux ubuntu 3.5.0-48-generic #72~precise1-Ubuntu SMP Tue Mar 11 20:08:23 UTC
2014 i686 i686 i386 GNU/Linux

On 5/16/2014 6:09 PM, Paul Eggert wrote:
> Robert M. Lawhead wrote:
>> % gzgrep --version
>> gzgrep (gzip) 1.4
>
> Wow, that's old.  I recall fixing that bug some time ago in the GNU sources. 
> I can't reproduce the problem on the oldest Solaris box I have easy access to:
>
> $ echo foo >a
> $ echo foo >b
> $ echo bar >c
> $ gzgrep foo *
> a:foo
> b:foo
> $ gzgrep -h foo *
> foo
> foo
> $ uname -srvmpi
> SunOS 5.10 Generic_147440-19 sun4u sparc SUNW,Sun-Fire-280R
> $ gzgrep --version | sed 1q
> gzgrep (gzip) 1.5
>
> My guess is that you need to bring your Solaris machine up-to-date, by
> installing the usual patches from Oracle.  Probably should be doing that
> anyway, as unpatched machines can be dangerous.